#include<bits/stdc++.h>

using namespace std;
long long i,n,ma,c,res,v;
long long a[1007],b[1007];

int main(){

   cin >> n;
   ma=0;
   v=0;
   res=0;
   for(i=1; i<=n; i++){
            cin >> a[i];
            if(a[i]>ma) ma=a[i];
            c=a[i];
            b[c]++;
   }
   while(ma>0){
    b[ma]--;
    res+=ma;
    for(i=1; i<=ma-2; i++){
        b[i]+=b[i+1];
        b[i+1]=0;
    }
    if(b[ma]==0){
        v=ma;
        ma=0;
        for(i=v; i>1; i--) if(b[i]>0){ ma=b[i]; break;}
    }
   }
  cout << res;
    return 0;
}

